Gtk2::IMContext(3p)

NAME
Gtk2::IMContext

HIERARCHY
  Glib::Object
  +----Gtk2::IMContext

METHODS

•   $window (Gtk2::Gdk::Window or undef)

•   $area (Gtk2::Gdk::Rectangle)

•   $offset (integer)

•   $n_chars (integer)

•   $key_event (Gtk2::Gdk::Event)

•   $text (string)

•   $cursor_index (integer)

•   $use_preedit (boolean)

SIGNALS

preedit-start (Gtk2::IMContext)
preedit-end (Gtk2::IMContext)
preedit-changed (Gtk2::IMContext)
commit (Gtk2::IMContext, string)
boolean = retrieve-surrounding (Gtk2::IMContext)
boolean = delete-surrounding (Gtk2::IMContext, integer, integer)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.